Favicon

You are here: Home > API Reference > AOSP > Android Non Gms Applications > List non-GMS Android applications

GET /organizations/:organizationId/mdm/aosp/enterprise/applications

Required Permission: mdm.aosp.application.list

Retrieve non-GMS Android applications for the enterprise

GET
/v1/organizations/:organizationId/mdm/aosp/enterprise/applications
Copy to clipboard

List non-GMS Android applications

Required Permission: mdm.aosp.application.list

Retrieve non-GMS Android applications for the enterprise

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
page integer
optional
Page number for paginated AOSP application mapping results.
limit integer
optional
Maximum number of AOSP application mappings to return per page.
sort string
optional
Sort expression applied to the paginated results.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
buildId string
optional
Filter mappings linked to a specific build identifier.
Match pattern: ^[a-fA-F0-9]{24}$
applicationId string
optional
Filter mappings linked to a specific application identifier.
Match pattern: ^[a-fA-F0-9]{24}$
filter string
optional
Filter mappings that use the provided dynamic build selector.
≤ 256 characters
type string
optional
Filter mappings by source type.
buildlastBuildlastGitBranchBuildlastGitTagBuildlastTagBuild

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Identifier of the AOSP application mapping resource.
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string required
Identifier of the organization that owns the AOSP enterprise resource.
Match pattern: ^[a-fA-F0-9]{24}$
aosEnterpriseId string required
Identifier of the AOSP enterprise configuration associated with this resource.
Match pattern: ^[a-fA-F0-9]{24}$
type string required
Type of source used to resolve the application mapping for AOSP policy assignment.
build lastBuild lastGitBranchBuild lastGitTagBuild lastTagBuild
config object required
Configuration used to resolve the mapped build or application.
info object optional
Resolved application package metadata used by policies and device diagnostics.
version integer optional
Internal resource version used by the backend for tracking changes over time.
≥ 0 · ≤ 9007199254740991
updatedAt string required
Timestamp when the resource was last updated.
createdAt string required
Timestamp when the resource was created.
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organizationId": "string",
                "aosEnterpriseId": "string",
                "type": "build",
                "config": {
                    "buildId": "string",
                    "applicationId": "string",
                    "filter": "string"
                },
                "info": {
                    "id": "string",
                    "bundleId": "string",
                    "name": "string",
                    "icon": "string",
                    "processedVersionName": "string",
                    "versionCode": "string",
                    "size": "string",
                    "originalExtension": "string",
                    "applicationInfo": {
                        "id": "string",
                        "slug": "string",
                        "name": "string",
                        "picture": "string"
                    },
                    "disabled": true,
                    "signatures": {
                        "sha1": "string",
                        "sha256": "string"
                    }
                },
                "version": 0,
                "updatedAt": "string",
                "createdAt": "string"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}